<div *ngIf="userData">
    <app-nav-bar [type] = " userData.user.type ">
        <div class="main" *ngIf="userData.user.type === 'costumer' ">
            <div class="header" *ngIf="userData.college">
                <h1>{{userData.college.institution}}</h1>
                <img src="{{userData.college.logo}}" alt="">
            </div>
            <div ngClass="data" >
                <div class="sub_data">
                    {{userData.user.name }} {{userData.user.last_name}} 
                </div>
                <div class="sub_data-2">
                    {{userData.user.email }}
                </div>
            </div>
            <app-table *ngIf="showBuysTableData" [headers]="headers" [ids]="ids" [data]="data"></app-table>
        </div>


        <div class="main" *ngIf="userData.user.type === 'merchant' ">
            <div class="header" *ngIf="companyInfo" >
                <h1>{{ companyInfo.commercialInfo.name }}</h1>
                <img src="{{ companyInfo.commercialInfo.logo }}" alt="">
            </div>
            <div ngClass="data_merchant" >
                <div class="sub_data">
                    {{userData.user.name }} {{userData.user.last_name}} 
                </div>
                <div class="data">
                    <div class="sub_data-2">
                        {{userData.user.email }}
                    </div>
                </div>
            </div>
            <div class="companyInfo" *ngIf="companyInfo">
                <h1> Datos de tu empresa:</h1>
                <div class="info">
                    <div class="chunk">
                        El correo de contacto de tu empresa es <a href="{{companyInfo.commercialInfo.contactMail}}">{{companyInfo.commercialInfo.contactMail}}</a> <br>
                    </div>
                    <div class="chunk">
                        La página de internet es  <a href=" {{companyInfo.commercialInfo.webUrl}}">{{companyInfo.commercialInfo.webUrl}}</a>  <br>
                    </div>
                    <div class="chunk">
                        Puede ser contactada por medio del facebook <a href="{{companyInfo.commercialInfo.socialNetwork}}">{{companyInfo.commercialInfo.socialNetwork}}</a>  <br>
                    </div>
                    <div class="chunk">
                        Se pueden poner en contacto con tu empresa a través del teléfono <a href="{{companyInfo.commercialInfo.contactPhone}}">
                             {{companyInfo.commercialInfo.contactPhone}}</a> <br>
                    </div>
                </div>
            </div>
        </div>

        <div class="main" *ngIf="userData.user.type === 'worker' ">
            <div class="worker">
                <div class="sub_data">
                    {{userData.user.name }} {{userData.user.last_name}} 
                </div>
                <div class="data">
                    <div class="sub_data-2">
                        {{userData.user.email }}
                    </div>
                </div>
            </div>
            <div class="workerInfo">
                <div class="info">
                    <div class="chunk">
                       Estado: {{ status[userData.user.status - 1] }}
                    </div>
                </div>
            </div>
        </div>

        <button class="disable" (click)="disableAccount()">Desactivar cuenta</button>
    </app-nav-bar>
</div>